uk.gov.hmrc.objectstore.client.model

# http

#### package http

Visibility

1. Public
2. All

### Type Members

1. #### trait HttpClient[F[_], BODY, RES] extends AnyRef

2. #### trait ObjectStoreContentRead[F[_], RES, CONTENT] extends AnyRef

3. #### trait ObjectStoreContentWrite[F[_], CONTENT, BODY] extends AnyRef

   Annotations
     @implicitNotFound( ... )

4. #### trait ObjectStoreRead[F[_], RES] extends AnyRef

   Annotations
     @implicitNotFound( ... )

5. #### case class Payload[CONTENT](length: Long, md5Hash: String, content: CONTENT) extends Product with Serializable

### Ungrouped